よくある質問
----

※ Zoom等のクライアントをカメラアプリと表記しています。

# アプリが全然動かない
本アプリは現在β版です。動作が不安定な場合があります。  
不具合は開発者に下記の情報をセットで報告していただけると修正できる場合があります。

```
(例)
macOSバージョン: 12.3
チップ: M1 Max
メモリ: 64GB
利用しているカメラアプリ: Zoom
不具合内容: 最初にこのアプリを起動し、その後Zoomを起動したところ、最初はアバターが表示されましたが、1時間ほどすると画面が映らなくなりました。
```

また、既存の不具合の回避方法は[不具合情報](manual/ja/issue.md)にありますので、ご確認ください。

# 動作が重い
日々パフォーマンス改善に向けて調整していますので、最新版アプリをご利用ください。  
それでも重たい場合は、FPSを下げる、影のシミュレーションをOFFにする、表情の検出をOFFにする、などをお試しください。

# カメラアプリに画面が表示されない
以下を試して、改善するかをご確認ください。

- カメラアプリのカメラをOffにした後、Onにしてください。これによって再接続が行われ、改善する場合があります。
- カメラアプリのカメラを実際のカメラや別の仮想カメラなどに切り替えた後、VCamに戻してください。これによって再接続が行われ、改善する場合があります。
- カメラアプリやVCamを再起動してください。
- カメラプラグインを再インストールしてください。 [参考](manual/setup.md)

# カメラアプリでカメラをOnにできない
本アプリの仮想カメラプラグインがクラッシュしています。カメラアプリを再起動してプラグインを再読込してください。

*Console.appを開いて、クラッシュレポートを選択し、Zoomなら「caphost」で検索して表示されるレポートを開発者に報告していただけると嬉しいです*

# 手がうまく動かせない
実際の人の手の位置ではなく、カメラに映っている手の位置を基準にアバターに反映しています。  
これはMacBookなどで手を真上に挙げた時などに、カメラ外に行ってしまう問題を防ぐためです。QuickTime Playerを開いて、「新規ムービー収録」をクリックしてカメラの映りを確認してみてください。  
詳しくは下記の動画を見てください。  
[https://www.youtube.com/watch?v=aGye_MWDwhc](https://www.youtube.com/watch?v=aGye_MWDwhc)


# どうしてネットワークを使うの？
仮想カメラプラグインとVCamの接続に利用しています。(これ以外の用途には一切使用していません)  
拒否するとカメラが映らないため、プライバシーとセキュリティの\"ファイアウォール\"パネルで許可してください。

# 〇〇な機能を追加してほしい
現在一人で開発しているため、開発したい機能をまだまだ作ることができていません 🙏  
将来の機能開発の参考にさせていただきたいので、ぜひ、「#VCam」のハッシュタグにてご意見をお願いします。

# 会社で使いたいけど、使ってもいい？
社内の会議や社外に公開するイベントなどのオープンな場でも利用可能です。  
ただし、透かしのない有料版 (スポンサー版) を社内で共有するのは禁止します。 (複数人で利用したい場合はそれぞれ公式配布元からDLしてください)  
社内の事情でこのような契約にしてほしいなどあれば、開発者に直接ご連絡ください、検討いたします。

# YouTube等の配信で使いたいけど使ってもいい？
利用可能です。「#VCam」のハッシュタグにて配信をシェアしていただけると嬉しいです！

# 透かし (ウォーターマーク) を見えないようにして利用してもいい？
透かしのあるアプリをご利用の場合は必ず透かしが視認できる状態でご利用ください。  
現在ご支援いただいている方には透かしのないアプリを配布しています。そのような利用にはこちらをご検討ください。

[透かしのないアプリはこちら](https://tattn.fanbox.cc/posts/3541433)

# 支援して透かしのないアプリをDLしたけど、支援をやめてもそのアプリを利用し続けてもいい？
利用して頂いて問題ありません。正式版リリース時にはこの方針に変更があるかもしれませんので、その際は利用規約を再度ご確認ください。

# ソースコードは見れないの？
今後、段階的に公開してプラグインの開発やUIの修正などのプルリクエストを受け付けられるようにしたいと思っています。  
現在、開発のワークフローや非公開情報などの調整をしているため、しばらくお待ち下さい。

# macOS以外で使いたい！
macOS版の開発が落ち着き次第、Windows版などの開発も検討しています。一人で開発しているため、お時間かかりますが、応援お願いします :pray:

# Localization support?
Yes! VCam is already localized!
